This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 545006

Summary: Re-enable qemu's preadv()/pwritev() support
Product: [Fedora] Fedora Reporter: Mark McLoughlin <markmc>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: high    
Version: 12CC: berrange, dwmw2, gcosta, itamar, jaswinder, jforbes, markmc, quintela, virt-maint
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.11.0-13.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-02-09 00:11:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 533063    
Bug Blocks: 498969    

Description Mark McLoughlin 2009-12-07 05:16:50 EST
bug #516549 was a Fedora 12 data corrupter blocker which we fixed by disabling preadv()/pwritev() support with this patch:

  http://repo.or.cz/w/qemu-kvm/fedora.git/commitdiff/ef41d27fae

bug #533063 is where the underlying issue with glibc headers was fixed

We want preadv()/pwritev() for performance, so we should check that the required glibc version is in the F-12 and F-13 build roots, remove the patch and rebuild

I don't think we need a runtime Requires for this - so long as we build against the right headers, we should be fine
Comment 1 Kevin Kofler 2009-12-17 02:34:54 EST
Was this forgotten? The glibc fix should be everywhere now (it even made it into F11).
Comment 2 Justin M. Forbes 2009-12-17 09:02:11 EST
Not forgotten, but not worth a rebuild on its own either. It will be going in with a couple of other fixes in the next week.
Comment 3 Fedora Update System 2010-01-20 21:26:21 EST
qemu-0.11.0-13.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/qemu-0.11.0-13.fc12
Comment 4 Fedora Update System 2010-01-22 17:35:37 EST
qemu-0.11.0-13.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qemu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0913
Comment 5 Fedora Update System 2010-02-09 00:11:41 EST
qemu-0.11.0-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.